How to resolve the error of legacy-install-failure?

We Are Going To Discuss About How to resolve the error of legacy-install-failure?. So lets Start this Python Article.

How to resolve the error of legacy-install-failure?

  1. How to solve the error of legacy-install-failure?

    You need to download Microsoft C++ Build Tools and install it in your system then select Workloads and check the option of Desktop development using C++ . Once this is complete, you can run the installation command again.
    OR
    You can also choose to download this python library from
    Unofficial Windows Binaries for Python Extension Packages
    Download the file with name pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl
    Screenshot
    After downloading the file, open cmd in that folder and run the
    command:
    pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl

  2. How to resolve the error of legacy-install-failure?

    You need to download Microsoft C++ Build Tools and install it in your system then select Workloads and check the option of Desktop development using C++ . Once this is complete, you can run the installation command again.
    OR
    You can also choose to download this python library from
    Unofficial Windows Binaries for Python Extension Packages
    Download the file with name pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl
    Screenshot
    After downloading the file, open cmd in that folder and run the
    command:
    pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl

Solution 1

You need to download Microsoft C++ Build Tools and install it in your system then select Workloads and check the option of Desktop development using C++ . Once this is complete, you can run the installation command again.

OR

You can also choose to download this python library from
Unofficial Windows Binaries for Python Extension Packages

  1. Download the file with name pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl
    Screenshot
  2. After downloading the file, open cmd in that folder and run the
    command:
  3. pip install matplotlib‑3.5.1‑cp38‑cp38‑win_amd64.whl

Similar answer

Original Author satvik Of This Content

Solution 2

enter image description here

You need to download Microsoft C++ Build Tools and install it in your system then select Workloads and check the option of Desktop development using C++ .

pip install -r requirements.txt

Original Author Kamol Boymatov Of This Content

Conclusion

So This is all About This Tutorial. Hope This Tutorial Helped You. Thank You.

Also Read,

ittutorial team

I am an Information Technology Engineer. I have Completed my MCA And I have 4 Year Plus Experience, I am a web developer with knowledge of multiple back-end platforms Like PHP, Node.js, Python and frontend JavaScript frameworks Like Angular, React, and Vue.

Leave a Comment